aboutsummaryrefslogtreecommitdiffstats
path: root/autotest-external.sh
diff options
context:
space:
mode:
authorFerdinand Thiessen <opensource@fthiessen.de>2024-02-01 13:57:51 +0100
committerFerdinand Thiessen <opensource@fthiessen.de>2024-02-02 12:57:10 +0100
commitf546a2fe14434f63685ad5db7c9b807cc865c550 (patch)
treee27d9ea994864d6c01d7b2472453d7c95e40560e /autotest-external.sh
parentc56d792491cca76ec41280c8b95bd7eebe63c67c (diff)
downloadnextcloud-server-f546a2fe14434f63685ad5db7c9b807cc865c550.tar.gz
nextcloud-server-f546a2fe14434f63685ad5db7c9b807cc865c550.zip
fix(ci): Disable coverage on pull requests
Co-authored-by: Ferdinand Thiessen <opensource@fthiessen.de> Co-authored-by: Joas Schilling <213943+nickvergessen@users.noreply.github.com> Signed-off-by: Ferdinand Thiessen <opensource@fthiessen.de>
Diffstat (limited to 'autotest-external.sh')
-rwxr-xr-xautotest-external.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/autotest-external.sh b/autotest-external.sh
index ca5e2c2fa0b..fb768b26636 100755
--- a/autotest-external.sh
+++ b/autotest-external.sh
@@ -35,7 +35,7 @@ if ! [ -x "$PHPUNIT" ]; then
if [ -x "$PWD/build/integration/vendor/phpunit/phpunit/phpunit" ]; then
PHPUNIT="$PWD/build/integration/vendor/phpunit/phpunit/phpunit"
else
- echo "phpunit executable not found, please install phpunit version >= 9.6" >&2
+ echo "phpunit executable not found, please install phpunit version >= 9.0" >&2
exit 3
fi
fi
@@ -44,8 +44,8 @@ PHPUNIT_VERSION=$("$PHPUNIT" --version | cut -d" " -f2)
PHPUNIT_MAJOR_VERSION=$(echo $PHPUNIT_VERSION | cut -d"." -f1)
PHPUNIT_MINOR_VERSION=$(echo $PHPUNIT_VERSION | cut -d"." -f2)
-if ! [ $PHPUNIT_MAJOR_VERSION -gt 9 -o \( $PHPUNIT_MAJOR_VERSION -eq 9 -a $PHPUNIT_MINOR_VERSION -ge 6 \) ]; then
- echo "phpunit version >= 9.6 required. Version found: $PHPUNIT_VERSION" >&2
+if ! [ $PHPUNIT_MAJOR_VERSION -gt 9 -o \( $PHPUNIT_MAJOR_VERSION -eq 9 -a $PHPUNIT_MINOR_VERSION -ge 0 \) ]; then
+ echo "phpunit version >= 9.0 required. Version found: $PHPUNIT_VERSION" >&2
exit 4
fi